Package org.jboss.logging.processor.apt

## Class LoggingToolsProcessor

- java.lang.Object
- - javax.annotation.processing.AbstractProcessor
  - - org.jboss.logging.processor.apt.LoggingToolsProcessor

All Implemented Interfaces:
  `Processor`

    @SupportedOptions({"debug","org.jboss.logging.tools.expressionProperties","org.jboss.logging.tools.addGeneratedAnnotation"})
    public class LoggingToolsProcessor
    extends AbstractProcessor

The main annotation processor for JBoss Logging Tooling.

Author:
  James R. Perkins, Kevin Pollet - SERLI - (kevin.pollet@serli.com)

### Field Summary

Fields
`static String` `DEBUG_OPTION`

### Constructor Summary

Constructors
`LoggingToolsProcessor​()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `getSupportedAnnotationTypes​()`
`Set<String>` `getSupportedOptions​()`
`SourceVersion` `getSupportedSourceVersion​()`
`void` `init​(ProcessingEnvironment processingEnv)`
`boolean` `process​(Set<? extends TypeElement> annotations, RoundEnvironment roundEnv)`

### Methods inherited from class javax.annotation.processing.AbstractProcessor

`getCompletions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEBUG_OPTION

    public static final String DEBUG_OPTION

See Also:
  Constant Field Values

### Constructor Detail

#### LoggingToolsProcessor

    public LoggingToolsProcessor​()

Default constructor.

### Method Detail

#### getSupportedOptions

    public Set<String> getSupportedOptions​()

Specified by:
  `getSupportedOptions` in interface `Processor`
Overrides:
  `getSupportedOptions` in class `AbstractProcessor`

#### getSupportedAnnotationTypes

    public Set<String> getSupportedAnnotationTypes​()

Specified by:
  `getSupportedAnnotationTypes` in interface `Processor`
Overrides:
  `getSupportedAnnotationTypes` in class `AbstractProcessor`

#### getSupportedSourceVersion

    public SourceVersion getSupportedSourceVersion​()

Specified by:
  `getSupportedSourceVersion` in interface `Processor`
Overrides:
  `getSupportedSourceVersion` in class `AbstractProcessor`

#### init

    public void init​(ProcessingEnvironment processingEnv)

Specified by:
  `init` in interface `Processor`
Overrides:
  `init` in class `AbstractProcessor`

#### process

    public boolean process​(Set<? extends TypeElement> annotations,
                           RoundEnvironment roundEnv)

Specified by:
  `process` in interface `Processor`
Specified by:
  `process` in class `AbstractProcessor`